﻿ 
<!-- Navigation Bar-->
<ul class="navbar-nav ml-auto ml-md-0">
    <li class="nav-item dropdown no-arrow">
        <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            <i class="fas fa-user-circle fa-fw"></i>
        </a>
        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="userDropdown">
            @{
                var session = (CyberSafe_SaveMe.Common.UserLogin)Session[CyberSafe_SaveMe.Common.CommonConstants.USER_SESSION];
            }
            @if (session == null)
            {
                <a class="dropdown-item" href="/Login/Index">Login</a>
                <div class="dropdown-divider"></div>
                <a class="dropdown-item" href="/User/Create">Register</a>
            }
            else
            {
                <p class="dropdown-item">Hello ! @session.Username</p>
                <a class="dropdown-item" href="@Url.Action("Details", "User", new {@id=session.UserID })">View Profile</a>
                <a class="dropdown-item" href="@Url.Action("ChangePassword", "User", new {@id=session.UserID })">Change Password</a>
                <div class="dropdown-divider"></div>
                <a class="dropdown-item" href="@Url.Action("Logout", "Login", null)">Logout</a>
            }

        </div>
    </li>
</ul>
